
QGIS Application - Bug report #3460

slow image load visualization for tfw with rotation parameters

2011-02-01 09:15 AM - Luca Lanteri

Status: Closed

Priority: Low

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13520

Description

When I try to load or visualize raster ortophoto with rotation parameter in the header file (tfw) qgis is freezing for 40-50 sec. I have to wait

the same time for every pan/refresh operation. 

If the rotation parameters is set to zero the image is loaded just in few second. 

The same raster (with rotation parameters) works fine with others GIS application, as udig for example.

The italian list suggest me to open a ticket. 

I attach a jpg version of the image to limit the size

This is the [[GeoTIFF]] info:

Driver: GTiff/GeoTIFF

Files: 0021_00211001_rgb.tif

Size is 7680, 13824

Coordinate System is:

PROJCS["WGS 84 / UTM zone 32N",

    GEOGCS["WGS 84",

        DATUM["WGS_1984",

            SPHEROID["WGS 84",6378137,298.257223563,

                AUTHORITY[[EPSG""7030]],

            AUTHORITY[[EPSG""6326]],

        PRIMEM[[Greenwich]],

        UNIT[[degree]],

        AUTHORITY[[EPSG""4326]],

    PROJECTION[[Transverse_Mercator]],

    PARAMETER[[latitude_of_origin]],

    PARAMETER[[central_meridian]],

    PARAMETER[[scale_factor]],

    PARAMETER[[false_easting]],

    PARAMETER[[false_northing]],

    UNIT["metre",1,

        AUTHORITY[[EPSG""9001]],

    AUTHORITY[[EPSG""32632]]

[[GeoTransform]] =

  32339334.7755, 0.249, 0.018

  5003594.055500001, 0.018, -0.249

Metadata:

  EXIF_BitsPerSample=16 16 16

  EXIF_Compression=1

  EXIF_PhotometricInterpretation=2

  EXIF_Orientation=1
  EXIF_SamplesPerPixel=3

  EXIF_XResolution=(833.333)

  EXIF_YResolution=(833.333)

  EXIF_PlanarConfiguration=1

  EXIF_ResolutionUnit=3

  EXIF_Software=Adobe Photoshop CS2 Windows

  EXIF_DateTime=2008:10:16 08:59:35

  EXIF_ColorSpace=65535

  EXIF_PixelXDimension=7680

  EXIF_PixelYDimension=13824

  AREA_OR_POINT=Area

Image Structure Metadata:

  COMPRESSION=DEFLATE

  INTERLEAVE=PIXEL

Corner Coordinates:

Upper Left  (32339334.776, 5003594.056) (129d24'8.65"W,Invalid angle)

Lower Left  (32339583.608, 5000151.880) ( 78d11'7.42"W,Invalid angle)

Upper Right (32341247.096, 5003732.296) ( 68d14'50.72"W,Invalid angle)

Lower Right (32341495.928, 5000290.120) (  6d30'39.61"W,Invalid angle)

Center      (32340415.352, 5001942.088) (120d44'35.31"E,Invalid angle)

Band 1 Block=256x256 Type=Byte, [[ColorInterp]]=Red

  Overviews: 3840x6912, 1920x3456, 960x1728, 480x864

Band 2 Block=256x256 Type=Byte, [[ColorInterp]]=Green

  Overviews: 3840x6912, 1920x3456, 960x1728, 480x864

Band 3 Block=256x256 Type=Byte, [[ColorInterp]]=Blue

  Overviews: 3840x6912, 1920x3456, 960x1728, 480x864

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:25 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2013-04-28 05:57 AM - Novarese  

- File bug_3460.zip added

- Assignee deleted (nobody -)

Moreover, if the second row of the worldfile is negative, then Qgis gets frozen: check the attachment out.

The issue occurs upon loading "lossy" compressed rasters like JPEG and PNG, while all's right with lossless formats as TIF/BMP/GIF.

#5 - 2013-04-28 06:27 AM - Jürgen Fischer

- Pull Request or Patch supplied set to No
#6 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2015-07-12 04:46 PM - Nyall Dawson

More info in #3794

#8 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#9 - 2018-02-24 10:38 PM - Luca Lanteri

- Status changed from Open to Closed

Checked on QGIS 3.0 & QGIS 2.18.16 and all works fine.

#10 - 2018-02-25 05:52 PM - Giovanni Manghi

- Description updated

- Resolution set to fixed/implemented

Files

bug_3460.zip 4.26 MB 2013-04-28 Novarese  
